  } else if (strcmp(argv[1],"mkstrippedtube")==0) {
    CheckUsage(argc,6,"mkstrippedtube","diameter nbsteps nbstripes col0 col1 out.g");
    mkstrippedtube(ReadNumber(argv[2]),ReadNumber(argv[3]),ReadNumber(argv[4]),ReadNumber(argv[5]),ReadNumber(argv[6]));
    SaveImage(argv[7],Img0);

//**** mkstrippedtube ****
void mkstrippedtube(diameter,nbsteps,nbstripes,col0,col1) short diameter,nbsteps,nbstripes; {
  unsigned int width0,height0;
  int x,y,t;
  double startangle,angle;
  Img0=AllocMemForGreyImage(diameter,nbsteps);
  width0=Img0.Adress[0];
  height0=Img0.Adress[1];
  printf("%d x %d",width0,height0);
  for(y=0;y<nbsteps;y++) {
    startangle=2*pi*((double) y)/((double) nbstripes*nbsteps);
    for(x=0;x<diameter;x++) {
      angle=acos( ((double) (2*x-diameter))/((double) diameter));
      t=(short) (pi+(angle-startangle)*((double) nbstripes/pi)); //+pi to avoid negative value
      if(t%2==0) { t=col0; } else { t=col1; }
      Img0.Adress[2+y*width0+x]=t;
    }
  }
}